Viking ADA Compliant Emergency Speakerphone

(Model # E-1600-30A)
Viking ADA Compliant Emergency Speakerphone
Viking
Operating Temperature: -26C to 54C (-15F to 130F)

Note: Picture may not represent the actual product. We are continuously working on improving our website and reserve the right to change specifications, availability, and pricing without prior notice.

  • $291.90

  • Availability:
  • Usually ships in 24 hours
  • Weather Protection
  • Manufacturer
  • 2 Year Limited Warranty
Qty:
ADA Compliant Emergency Phone is designed to provide quick and reliable handsfree communication for any standard analog telephone line or analog phone system station port. It meets ADA requirements for elevator/ emergency telephones, and can be programmed from any Touch Tone phone.

E-1600-30A Features:
  • Can automatically light "call connected" LED for hearing impaired
  • Transmits a unique location I.D. code or voice announcement
  • Grade 2 Braille label for visually impaired
  • Non-volatile digital voice announcer with 16 seconds of voice memory
  • Non-volatile E2 memory
  • Advanced call progress detection
  • Handsfree operation
  • Phone line powered
  • Touch Tone or pulse dialing
  • Dials up to 5 emergency numbers
  • Cycles through backup emergency and non-emergency numbers on busy or no-answer
  • Hangs up on CPC, silence, busy signal, dial tone, time-out or Touch Tone command
  • Programmable to auto-answer on incoming calls
  • Remotely programmable
  • Humidity: 5% to 95% non-condensing
  • Central station monitoring capability (dials 2 numbers)
  • Separate central station voice speed dial number
  • Enhanced weather protection (EWP) option ideal for outdoor or harsh environments
  • EWP option includes rubber gaskets and boots, silicon sealed connections, and gel-filled butt connectors
  • Front Panel Material: 14 gauge brushed stainless steel
  • EWP GTIN 0912200293444
  • UPC 912200293444
  • UPC 615687223705
SKU Weather Protection
E-1600-30A Standard
E-1600-30A-EWP Enhanced
NOTE: Viewing PDF documents requires the free Adobe® Reader® version 5.0 or greater.If you don't already have it installed, you will need to download and install it before using PDF documents.
Get Adobe Reader